/***********************************************************************
* Nazov suboru: NastavenieServera.cs
* Autor: Zdenko Porubcan
* Datum vytvorenia: 08.04.2008
* 
* Rozhranie na nastavenie URL servera
***********************************************************************/

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;
using Foobe.FoobeServis;

namespace Foobe
{
    public partial class NastavenieServera : Form
    {
      FoobeServis.FoobeServis s;
      String url;
      
      // KONSTRUKTOR
      public NastavenieServera(FoobeServis.FoobeServis s)
        {
            this.s = s;
            InitializeComponent();
            textBox1.Text = Foobe.Properties.Settings.Default.Gui_FoobeServis_Service;
            url = textBox1.Text;
        }

        // ulozenie nastavenia
        private void button1_Click(object sender, EventArgs e)
        {
            //---> zmenit xml
            if (textBox1.Text != Foobe.Properties.Settings.Default.Gui_FoobeServis_Service)
            {
                //////////////
              try
              {
                Properties.Settings.Default.Gui_FoobeServis_Service = textBox1.Text;
                Properties.Settings.Default.Save();
                this.s = new FoobeServis.FoobeServis();
              }
              catch (UriFormatException)
              {
                MessageBox.Show(this, "Zl formt URL servera.", "Chyba!", MessageBoxButtons.OK);
                Properties.Settings.Default.Gui_FoobeServis_Service = url;
                Properties.Settings.Default.Save();
                return;
              }
              catch (Exception)
              {
                MessageBox.Show(this, "Pri zmene URL servra nastala chyba. Ak sa problm opakuje, kontaktujte sprvcu systmu.", "Chyba!", MessageBoxButtons.OK);
                return;
              }
            }
            this.Close();
        }

        // nastavenie default hodnoty
        private void button3_Click(object sender, EventArgs e)
        {
          textBox1.Text = (string)Properties.Settings.Default.Properties["Gui_FoobeServis_Service"].DefaultValue;
        }

        // zatvorenie okna
        private void button2_Click(object sender, EventArgs e)
        {
          this.Close();
        }

        // main
        static void Main()
        {
          //Application.Run(new nastavenieServera());
        }
    }
}